---
- name: Create directories for Vault
  file:
    path: "{{ item }}"
    state: directory
  with_items:
    - "/opt/vault/config/policies"
    - "/opt/vault/tools"

- name: Copy Docker Compose file for Vault
  copy:
    src: "{{ role_path }}/files/docker-compose.yml"
    dest: "/opt/vault/docker-compose.yml"

- name: Copy policy file for Vault
  copy:
    src: "{{ role_path }}/files/with-consul.hcl"
    dest: "/opt/vault/config/with-consul.hcl"

- name: Copy entrypoint script for Vault
  copy:
    src: "{{ role_path }}/files/wait-for-it.sh"
    dest: "/opt/vault/tools/wait-for-it.sh"

- name: Make wait-for-it.sh executable
  command: chmod +x /opt/vault/tools/wait-for-it.sh

- name: Run Docker Compose
  docker_compose:
    project_src: "/opt/vault"
    state: present
